%{?nodejs_find_provides_and_requires}

%global packagename timers-browserify

Name: nodejs-%{packagename}
Version: 1.4.2
Release: 1%{?dist}.3
Summary: timers module for browserify
License: MIT
URL: https://github.com/jryans/timers-browserify
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(process) >= 0.11.0
BuildRequires: npm(process) < 0.12.0

%description
Adds support for the timers module to browserify.


%prep
%setup -q -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE.md
%doc README.md CHANGELOG.md example
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 1.4.2-1
- Initial package.
